| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Types | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
WheelchairControl.FormRegulators Class Reference

Form with regulators controls. More...

Inherits Form.

## Public Member Functions
delegate void | UARTSend_Delegate (uint[] data)
| Delegate of UART send method of parent form. More...
delegate void | toolStripLogClickDelegate (object sender, EventArgs e)
| Delegate of log button click event handler of parent form. More...

## Static Public Member Functions
static FormRegulators | GetInstance (SerialPort formMainCOMPort, UARTSend_Delegate sendMethod, toolStripLogClickDelegate logClickDelegate, ToolStripMenuItem toolStripLog)
| Singleton instance getter. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Private Types
enum | ComboBoxAngleUnit : byte { DEGREES, MILIRADIANS }
| Angle units regulator is capable to handle. More...

## Private Member Functions
void | SendStopSequence ()
| Sends stop sequence repeately to stop motors. STOP_REQUEST_REPEATS More...
void | ResetOdometry ()
| Subroutine to reset odometry data More...
| FormRegulators (SerialPort formMainCOMPort, UARTSend_Delegate SendMethod, toolStripLogClickDelegate LogClickDelegate, ToolStripMenuItem toolStripLog)
| Singleton constructor. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
const Byte | STOP_REQUEST_REPEATS = 3
| Stop command repeats. More...
const Byte | RX_DATA_LENGTH = FormMain.RX_DATA_LENGTH
| Command buffer data length. More...
const Byte | ANGLE_REGULATOR_INCREMENT = 1
| Smallest possible angle increment. More...
SerialPort | serialPort_formMain
| Parent form serial port. More...
ToolStripMenuItem | formMainLogToolStrip
| Parent form log button. More...
UARTSend_Delegate | UARTSendMethod
| Parent form UART send method deldegate. More...
toolStripLogClickDelegate | toolStripLogClickMethod
| Parent form button log click event handler. More...
System.ComponentModel.IContainer | components = null
| Required designer variable. More...

## Static Private Attributes
static FormRegulators | instance = null
| Singleton instance. More...
static Object | singeltonLock = new Object()
| Singleton instance access lock. More...

## Detailed Description

Form with regulators controls.

Definition at line 16 of file FormRegulators.cs.

## Member Enumeration Documentation

enum WheelchairControl.FormRegulators.ComboBoxAngleUnit : byte
| private

Angle units regulator is capable to handle.

Enumerator
DEGREES | Select degrees.
MILIRADIANS | Select miliradians.

Definition at line 55 of file FormRegulators.cs.

## Constructor & Destructor Documentation

WheelchairControl.FormRegulators.FormRegulators | ( | SerialPort | formMainCOMPort,
|  | UARTSend_Delegate | SendMethod,
|  | toolStripLogClickDelegate | LogClickDelegate,
|  | ToolStripMenuItem | toolStripLog
| ) |  |
| private

Singleton constructor.

Parameters

  formMainCOMPort | Com port reference.
  SendMethod | UART send method reference.
  LogClickDelegate | Log button click even handler delegate.
  toolStripLog | Log button reference.

Definition at line 147 of file FormRegulators.cs.

## Member Function Documentation

override void WheelchairControl.FormRegulators.Dispose | ( | bool | disposing | ) |
| protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file FormRegulators.Designer.cs.

static FormRegulators WheelchairControl.FormRegulators.GetInstance | ( | SerialPort | formMainCOMPort,
|  | UARTSend_Delegate | sendMethod,
|  | toolStripLogClickDelegate | logClickDelegate,
|  | ToolStripMenuItem | toolStripLog
| ) |  |
| static

Singleton instance getter.

Parameters

  formMainCOMPort | Com port reference.
  sendMethod | UART send method reference.
  logClickDelegate | Log button click even handler delegate.
  toolStripLog | Log button reference.

Returns
  Instance of form.

Definition at line 181 of file FormRegulators.cs.

void WheelchairControl.FormRegulators.InitializeComponent | ( |  | ) |
| private

Required method for Designer support - do not modify the contents of this method with the code editor.

Definition at line 29 of file FormRegulators.Designer.cs.

void WheelchairControl.FormRegulators.ResetOdometry | ( |  | ) |
| private

Subroutine to reset odometry data

Definition at line 128 of file FormRegulators.cs.

void WheelchairControl.FormRegulators.SendStopSequence | ( |  | ) |
| private

Sends stop sequence repeately to stop motors. STOP_REQUEST_REPEATS

Definition at line 112 of file FormRegulators.cs.

delegate void WheelchairControl.FormRegulators.toolStripLogClickDelegate | ( | object | sender,
|  | EventArgs | e
| ) |  |

Delegate of log button click event handler of parent form.

Parameters

  sender | Sender.
  e | Event arguments.

delegate void WheelchairControl.FormRegulators.UARTSend_Delegate | ( | uint[] | data | ) |

Delegate of UART send method of parent form.

Parameters

  data | Data array to be sent.

## Member Data Documentation

const Byte WheelchairControl.FormRegulators.ANGLE_REGULATOR_INCREMENT = 1
| private

Smallest possible angle increment.

Definition at line 50 of file FormRegulators.cs.

System.ComponentModel.IContainer WheelchairControl.FormRegulators.components = null
| private

Required designer variable.

Definition at line 8 of file FormRegulators.Designer.cs.

ToolStripMenuItem WheelchairControl.FormRegulators.formMainLogToolStrip
| private

Parent form log button.

Definition at line 92 of file FormRegulators.cs.

FormRegulators WheelchairControl.FormRegulators.instance = null
| static private

Singleton instance.

Definition at line 77 of file FormRegulators.cs.

const Byte WheelchairControl.FormRegulators.RX_DATA_LENGTH = FormMain.RX_DATA_LENGTH
| private

Command buffer data length.

Definition at line 45 of file FormRegulators.cs.

SerialPort WheelchairControl.FormRegulators.serialPort_formMain
| private

Parent form serial port.

Definition at line 87 of file FormRegulators.cs.

Object WheelchairControl.FormRegulators.singeltonLock = new Object()
| static private

Singleton instance access lock.

Definition at line 82 of file FormRegulators.cs.

const Byte WheelchairControl.FormRegulators.STOP_REQUEST_REPEATS = 3
| private

Stop command repeats.

Definition at line 40 of file FormRegulators.cs.

toolStripLogClickDelegate WheelchairControl.FormRegulators.toolStripLogClickMethod
| private

Parent form button log click event handler.

Definition at line 102 of file FormRegulators.cs.

UARTSend_Delegate WheelchairControl.FormRegulators.UARTSendMethod
| private

Parent form UART send method deldegate.

Definition at line 97 of file FormRegulators.cs.

The documentation for this class was generated from the following files:

- C:/Users/Ondra/Desktop/Wheelchair Control/FormRegulators.cs
- C:/Users/Ondra/Desktop/Wheelchair Control/FormRegulators.Designer.cs